import { createRouter, createWebHashHistory } from 'vue-router'
import CenterPage from 'views/CenterPage.vue'

const routes = [
    {
        path: '/',
        name: 'CenterPage',
        component: CenterPage
    },
    {
        path: '/AllMatrices',
        name: 'AllMatrices',
        component: () => import('components/allMatricesNoDia.vue')
    },
    {
        path: '/TemperatureMatrix',
        name: 'TemperatureMatrix',
        component: () => import('components/temperatureMatrixNoDia.vue')
    },
    {
        path: '/agcDetail',
        name: 'agcDetail',
        component: () => import('components/agcDetail/index.vue')
    },
    {
        path: '/SYZDetails',
        name: 'SYZDetails',
        component: () => import('components/focus/syzDetailsNoDia.vue')
    },
    {
        path: '/fault',
        name: 'fault',
        component: () => import('components/fault/index.vue')
    },
    {
        path: '/warning',
        name: 'warning',
        component: () => import('components/warningNotDia/index.vue')
    },
    {
        path: '/status',
        name: 'status',
        component: () => import('components/status/index.vue')
    },
    {
        path: '/action',
        name: 'action',
        component: () => import('components/action/index.vue')
    },
    {
        path: '/record',
        name: 'record',
        component: () => import('components/record/index.vue')
    },
    {
        path: '/changeState',
        name: 'changeState',
        component: () => import('components/changeState/index.vue')
    },
    {
        path: '/ManualPage',
        name: 'ManualPage',
        component: () => import('views/ManualPage.vue')
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes
})

export default router
